AutoCAD .NET :: Adding Xdata To Dynamic Block With Attribute
Aug 31, 2011
My code add xdata to any object properly except for a dynamic block with attribute. After code excutes it disappears from screen . Even undo make strange thing. I guess I screw the database somehow. But even audit doesn't show any fix applied.
Attach is a sample drawing. And below is my code.
<CommandMethod("pppp")> _ Shared Sub test1()
Dim Mydwg As Document = Application.DocumentManager.MdiActiveDocument
Dim Mydb As Database = Mydwg.Database Dim Myed As Editor = Mydwg.Editor
Dim MyRegisterApplication As String = "My_R_Cad"
[code].....
View 4 Replies
ADVERTISEMENT
Nov 21, 2011
I wish to create a dynamic block containing some attributes. These attributes are inside rectangles that can't be modified in length using linear parameters ; but the attribute has to be always in the middle of the rectangle. So, I draw a line inside the rectangle (in a hidden layer) and insert the attribute with center justification (not sure for the translation) that I place in the middle of this line ; then I put a coincidence constraint (not sure for the translation, but it's the first one) linking the middle of the line with the middle of the attribute.
But here's the problem : when stretching my rectangle, the insertion point of the attribute suddenly changes from "center" to "bottom left".
View 2 Replies
View Related
Dec 4, 2013
I am looking for a way to use the ATTIN/ATTOUT workflow to bring in data from an excel spreadsheet to drive the size of each of my block's instances. The block will be simple, a rectangle, with width and length parameters. For each entity in my excel/csv file these parameter values are spelled out. I know how to display these parameters in my attributes, but I don't know how, if I were to feed in these values, to drive the geometry. If there's a better way to take a list of width and length values to generate a series of blocks each with a rectangle containing its respective size.
View 1 Replies
View Related
Nov 16, 2008
I have a problem with using .Net to insert a dynamic block and set the size property. The attribute text does not move correctly on insert, but will if manually stretched after the fact. From my research the recommendation is to make sure the attribute definition is marked as "Locked".
I have an attribute definition inside a circle (classic door/window number), both the circle and attribute are included in the Action Selection Set, however only the circle moves correctly. It all works correctly if manually inserted/stretched.
View 9 Replies
View Related
Nov 21, 2013
I can not for the life of me get my attributes to rotate with my block. I've attached the block to better understand what I'm talking about. I'd like the attributed text to rotate with the brown line. I don't care if the text ends up upside-down, I just want it to rotate with the block.
View 1 Replies
View Related
Aug 29, 2011
when trying to create dynamic rotation for a block with attributes. If I constrain the attribute to a line in the block it damaged the behavior of the block when using the dynamic rotation.
I tried both multiline and non- multiline attributes. I tried to fiddle with the "constraint settings" and leave only the Parallel constraint running with no effect.
When I open a new clean acad drawing and paste the block there, no problem.
View 2 Replies
View Related
Jan 11, 2008
We use this light switch block for work. For the life of me, I can't figure out how to make the attribute to stay (LOCKED) at rotation 0 when inserting no matter which angle the swtich is inserted. The only way the text stays at rotation 0 is if I insert the block as is (pointing right), then align the switch to a wall. The block is created with alignment grip. So if I add the switch to a wall at an angle (eg:45 degrees), the text will be rotated and stay rotated. If I insert the switch on the left side of the wall, the attributes will be upside down. I can manually rotate the attributes back to 0 degrees and it will stay locked to 0 degrees. But what I want it to do is to be inserted at 0 degrees to begin with.
View 9 Replies
View Related
Sep 18, 2011
I have a rectangle, it has an attribute called "WIDTH". Also it has a parameter for width of the rectangle. When I change the attribute (insert a block and define it) the width of the rectangle changes.
View 0 Replies
View Related
Dec 8, 2011
I have created a Dynamic Block with various visibility states.The block has attributes in that are not displayed depending on which visibility state that is selected.
Is there a way for VBA to look at attributes in my dynamic block and tell which attributes are visible?
View 1 Replies
View Related
Jul 2, 2013
Fairly versed with Dynamic blocks here, so the first thing I checked was to make sure that my FIELDEVAL was set to 31 to ensure updates but this one isn't working for me and may be a limitation of the software?
I'm making a dynamic block for my users who aren't familiar with electrical wiring so I am developing a series of blocks for our typical wiring configurations. In this instance, I've setup a pair of attributes to allow the changing of wire color codes and I want to use that single attribute entry to used in multiple other locations that are also connected to that conductor in certain situations. I have setup a field within this block to be the "VALUE" of the object (the attribute) in order to accomplish this. Unfortunately it is only displaying the default value I have for the attribute and will not update either upon insertion of the block or after an edit. Is this beyond the capabilities of Dynamic blocks or do I need to take a different approach?
Find file attached.
View 5 Replies
View Related
Jun 10, 2013
I'm having trouble getting my attribute definitions to work with my blocks.
I'm trying to create a tag that can flip around (dynamic) and have a tag number easily entered (attribute).
I notice that I could only get the attribute definition to work during a drawing insertion is when I wblocked out my block and inserted that drawing file. I was not able to insert the drawing file that had the block in it.
I can't seem to make a dynamic block drawing file, and then insert that dynamic block drawing file if I want the attribute to work..
View 4 Replies
View Related
Jun 7, 2012
We have specialized electrical schematic drawings on what is termed roll-drawings. These roll-drawings are simply 12" tall and variable width type drawings. We've had some as short as 24 inches and as long as 900 inches. As a result we use these section dimensions to distinguish circuit boundaries. It's not a real dimension, just a way to distinguish what circuit is located where. I've tried to recreate it using a block for improved automation as currently we just use a lisp routine that draws an arrow and lines. It looks like the screen capture of my block below. Is it possible to have the inside endpoints of the lines automatically stretch outwardly toward the arrows as the attribute Value changs?
View 3 Replies
View Related
Jul 16, 2013
I have a dynamic block.
It has length and width stretch actions activated by grips. (Works fine).
It has an attribute for the user to type in a height value. (attribute insert box appears on block insert and when double clicking block).
It has Mtext "worktop [field] High" the [field] is looking at the attribute value so in theory should return the value the user types. But no only ---- shows. regen/regenall/battman fieldeval 31
Am I missing something i have pointed the field to tag/prompt as test and they show up in the mtext.
View 5 Replies
View Related
Jan 23, 2014
Is it possible to make a dynamical block where the attribute is horizontal in combination of the alignment parameter (not rotate)? If I align to an arc the attribute need to stay at an horizontal position.
View 4 Replies
View Related
Apr 8, 2013
Got a problem with the attached drawing. (The drawing will eventually be used as an xref).
I have created a dynamic block that has a (multi-line) attribute applied. This attribute is linked to an annotative text style. The drawing contains annotation scales. I have applied some of these annotation scales to the attribute so that it shows at 4.5 in paper space.
The annotation scales (metric) contained in the drawing are "1:500, 1:1000, 1:1250, 1:2000, 1:2500, 1:5000, 1:10000, 1:20000 and 1:25000". All these annotation scales are applied to the attribute.
The block contains a look-up table of properties that when applied, size the block to be used as a boundary to the following scales "1:500, 1:1000, 1:1250, 1:2000 and 1:2500".
Now, for example, i wish to set the blocks to be shown at 1:2500 in the drawing. I select the blocks and make them 1:2500 in the 'look-up' table. However, if i wish to set the annotation scale to 1:20000 (because this will xrefed into a drawing plan of a scale of 1:20000) it incorrectly shows the size of the attribute. The attribute has a 1:20000 annotation scale set to it but its size is not correct. This happens for other scales but for other scales (1:25000 for example) its fine. Also, the attribute could move when switching annotation scales and appear near the 0,0 WCS.
The layout tab shows the annotation scale and viewport scale set to 1:20000 but as you can see, the text is not set to 4.5.
I would prefer to have the attribute linked to the block though. I have tried ATTSYNC and RESETBLOCK but the bug keeps coming back.
Using AutoCAD 2011.
View 2 Replies
View Related
Oct 3, 2013
I have a dynamic flat screen tv block. Its length flexes to match the lookup table chosen size...32" 42" (the length parameter being a defined mm length) etc i want to display the 32" 42" etc items from the lookup properties table, but i'm at a loss as to how to go about it.
currently i am using an attribute with a field pointing to lookup parameter/object/lookup description string but it's returning hashes.
block.png
View 2 Replies
View Related
Jun 3, 2013
I have a block that I want to show on a vertical exaggeration of 10x. How do I make it so that a block has a Y scale of 10 without the attribute text inside the block being stretched in the Y direction 10x?
I would like to use a Y scale of 10 rather than a block with 10x the length because I have a field that returns a length parameter and I don't want that value to be 10x what it's supposed to be, and it would make things much easier to not have to multiply my values by 10x each time I use the block.
View 1 Replies
View Related
Jul 30, 2013
I was trying to change an attribute and lost the "imperial door" dynamic block. I do not know where to find the original and replace it in the tool palette.
View 3 Replies
View Related
Oct 17, 2013
I'm trying to create a dynamic block that uses a parameter and an attribute definition to determine the diameter of a circle in that block. I plan to export GIS points with diameter in the attribute table into a CAD file with the block definition. I'm having trouble figuring out how to set up the parameters to read to attribute definition and adjust the circle diameter. Using AutoCAD 2013
View 5 Replies
View Related
Mar 15, 2013
I have a task where I need to automatically insert the drawing number (no path), plus two additional items, one an attribute, the other is within a dynamic block. I can achieve this using fields but now I havce to truncate some of the text.
It seems like I can't edit if I am using fields and attributes/blocks can't be used in Diesel (correct me if I'm wrong)
This is the information I have:
Filename: 123456-AS-WE.dwg
Attribute: Q2
Dynamic Block: X1 - Additional Information
This is what I require: 123456-AS-WE [Q2] [X1]
This is what I have so far: 123456-AS-WE [Q2] [X1 - Additional Information]
In other words, I need to restrict the dynamic block field to the first two characters.
View 6 Replies
View Related
Jun 12, 2012
I am creating dynamic blocks but having a hard time adding them to a pallette correctly. In my block folders from which I create my pallettes all the blocks there are separate exploded drawings which ACAD turns into a block when you input them into your drawing via a pallette. The trouble is that when I save my dynamic blocks in this folder I'm saving it as an already blocked drawing, I assume this is the problem as I have to explode it each time I insert it. Is there way to avoid having to explode each time I insert?
View 3 Replies
View Related
Jan 24, 2013
I have a dynamic block with several visibility states, and each visibility state has one invisible-constant attribute. I can't seem to wrap my head around dynamic blocks well enough to get the value from the active visibility state invisible constant attribute. I know how to get the visibility state like this:
(setq ss (ssget "_x" (list '(0 . "INSERT") '(2 . "`*U*,<DynBlockName>") (cons 410 (getvar 'ctab)))))
but what next?
View 9 Replies
View Related
Nov 27, 2013
I have a block that when I extend it, a new 10' section is added. It will only add the 10' piece (array). What I am looking to do is find a way so that once I hit a total distance have it switch the part that it adds. So I have like a rail, I keep adding these 10' pieces and then once it hits 40' I want it to add the end piece which is different.
View 1 Replies
View Related
Aug 31, 2012
select all blocks on certain layers in a drawing, check attribute CIRCUIT in each block if it starts with MS then attribute CONTROL = switched. I hope thats clear enough the way
(defun c:control()
(graphscr)
(Setq sc (ssget "X" '((0 . "INSERT")
[Code].....
View 1 Replies
View Related
Nov 30, 2011
When capturing the Object Appended event of a block containing a "Drawing_No" attribute tag, then trying to add xdata to the object, I get a "Object reference not set to an instance of an object" error. I've tried writing the XData after committing the transaction but it didn't work.
If TypeOf e.DBObject Is BlockReference Then Dim bref As BlockReference = DirectCast(e.DBObject, BlockReference) If bref.AttributeCollection.Count <> 0 Then For Each attId As ObjectId In bref.AttributeCollection Dim attRef As AttributeReference = trans.GetObject(attId, OpenMode.ForRead) Select Case attRef.Tag Case "DRAWING_NO" WriteTitleBlock(e.DBObject.ObjectId) '<<Subroutine used to add XData Exit For End Select Next End If End If
View 7 Replies
View Related
Apr 12, 2007
I'm trying to use a Selection Filter on Block Reference XData value. But I get no hits, it works fine with Lines and Polylines that has the same kind of XData.
Is it a bug or do I have to define my Selection Filter differently when working with Block Reference?
Here is a part of the code :
TypedValue[] flt = new TypedValue[]
{
new TypedValue(-4, " new TypedValue(-4, " new TypedValue(8, "POLYLINE_LAYER"),
new TypedValue(1001, "Object_Id"),
new TypedValue(1000, "166448"),
new TypedValue(-4, "AND>"),
[code].......
View 3 Replies
View Related
Jul 3, 2012
I wanna transfer my attribute block values to another attribute text blocks , is there any lisp for that?
Is there a possibility for sum tag values of choice attribute blocks to inside of another attribute text block ?
View 2 Replies
View Related
Oct 5, 2012
What I really want to do is on our fire alarm blocks we have 3 different attributes one for the address, the candela and one for misc info. I want to make an attribute that takes the number from the candela (15,30,75or 110) and change a different attribute to a value depending on which candela we use (such as 15=.078, 30=.113, 75=.195 or 110=.259). But I don't want the .078,.113,.195,.259 to print out on paper, I want to export block information excel file so I can add up all values.
View 2 Replies
View Related
Aug 13, 2012
Is it possible, via whatever methods (lisp?) to be able to have a premade block with an attribute and insert it into a drawing then assign a value to it by selecting another existing block in the drawing and using one of its own attribute’s values?
For example, say I have a block representing a telephone and it had an attribute called "PhoneNo" and I inserted it into a drawing showing an office floor plan that had blocks in each office space that are telephone junction boxes with attributes "PhoneExtension". I would like to be able to autocomplete the entering of the “PhoneNo” data by selecting one of the telephone junction boxes in the drawing and using its attribute’s value.
View 5 Replies
View Related
Sep 6, 2012
Autocad 2011, Electrical package,
I have an existing title block a few text attributes, to which I wish to add a watermark. I have added it in the block editor as a normal attribute, with the same details as the other attributes that work, only a different tag name. It has a default value, "DRAFT" and is tagged "WMARK". It works fine in the Block Editor, and If I test the block I can edit it to display whatever I want, but if I save the block and open it from Autocad proper, the attribute is not in existence, either as a default value, or editable from block properties, attribute editor or title block editor, whereas all of the other attributes are there. I have used BattMan to verify the settings of the attribute, and the only difference is that the others all have "L" in the "Modes" column, but I think that means that their position is "locked" whereas my new attribute is justified "aligned" therefore cannot be "locked" (This is some assumption on my part, as the documentation on the "Modes" column is almost non-existent). I cannot afford to waste much more time on this issue, as the boss is breathing down my neck, but editing watermarks on every drawing after every revision is frustrating, when it could be an attribute that is editable from the title block editor.
View 9 Replies
View Related
Feb 12, 2012
I need to match few attribute values from one block to different block. I download a lisp file called; ca.lsp which can match the single attribute value. I modified it for more than one attribute value matching. It is ok but still wish to overcome two issues for batch prcess
1. picking up the blocks by selection
2. click the alternative block numbers of times to match the numbers of attribute values I needed.
How to modify this lisp I can run it by block name selections instead of picking selection which enable me to run batch process for numbers of drawing? That will be good...
Lisp & Demo file attached (Match attribute value, A, B & C to Attribute 1, 2 & 3).
View 3 Replies
View Related